import { select, arc } from 'd3';

const svg = select('svg');



const width = +svg.attr('width')

const height = +svg.attr('height')

const eyeSpacing = 60;
const eyeOffset  = 50;

const circle = svg.append('circle')
  .attr('r', 200)
	.attr('cx', width / 2)
	.attr('cy', height / 2)
	.attr('fill', 'yellow')
  .attr('stroke', 'black');

const leftEye = svg.append('circle')
  .attr('r', 20)
	.attr('cx', width / 2 - eyeSpacing)
	.attr('cy', height / 2 - eyeOffset)
	.attr('fill', 'black')
  .attr('stroke', 'black');

const rightEye = svg.append('circle')
  .attr('r', 20)
	.attr('cx', width / 2 + eyeSpacing)
	.attr('cy', height / 2 - eyeOffset)
	.attr('fill', 'black')
  .attr('stroke', 'black');

const mount = svg.append('path')
  	.attr('d', arc()({
     innerRadius: 80,
     outerRadius: 100,
     startAngle: 0,
     endAngle: Math.PI}));